import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvURL = 'https://gist.githubusercontent.com/curran/13d30e855d48cdd6f22acdf0afe27286/raw/0635f14817ec634833bb904a47594cc2f5f9dbf8/worldcities_clean.csv';

export const useCities = () => {
  const [data, setData] = useState(null);
  
  const row = (d) => {
    d.lat = parseFloat(d.lat);
    d.lng = parseFloat(d.lng);
    d.population = parseFloat(d.population);
    return d;
  }

  useEffect(() => {
    csv(csvURL, row).then(setData);
  }, []);
  return data;
};